### 仓库

	maven { url "https://jitpack.io" }
	maven { url 'https://maven.aliyun.com/repository/releases' }
	maven { url 'https://repo1.maven.org/maven2/' }

### 依赖库导入
	implementation 'com.zhy:okhttputils:2.6.2'
	implementation 'com.squareup.okhttp3:okhttp:4.9.3'
	implementation 'com.google.code.gson:gson:2.8.9'

	implementation  'com.umeng.umsdk:common:9.5.0'
	implementation  'com.umeng.umsdk:asms:1.5.0'
	implementation 'com.umeng.umsdk:apm:1.5.2'

    implementation 'androidx.core:core-ktx:1.3.2'
    implementation 'androidx.appcompat:appcompat:1.3.1'

### AndroidMainifest

        <!--umeng begin-->
        <meta-data
            android:name="UMENG_CHANNEL"
            android:value="${UMENG_CHANNEL_VALUE}" />
        <!--umeng end-->
        <provider
            android:name="com.pn.pncommonlib.PnFileProvider"
            android:authorities="${applicationId}.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true"
            tools:replace="name,authorities,exported,grantUriPermissions">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/pn_paths"
                tools:replace="name,resource"/>
        </provider>


### 接口样例

#### 初始化
	在Application.OnCreate() 中调用：

	ThirdPartUtil.getInstance()
				.setUmengKey("")
				.setUpdateUrl("")
				.init(this);

#### 非手动点击检查更新
	ThirdPartUtil.getInstance().checkUpdate(MainActivity.this, false);

#### 手动点击检查更新
	ThirdPartUtil.getInstance().checkUpdate(MainActivity.this, true);


### 混淆
    # xupdate
    -keep class com.xuexiang.xupdate.entity.** {*;}
    -keep class com.xuexiang.xupdatedemo.entity.**{*;}
    
    # umeng
    -keep class com.umeng.** {*;}
    
    -keep class org.repackage.** {*;}
    
    -keepclassmembers class * {
    public <init> (org.json.JSONObject);
    }
    
    -keepclassmembers enum * {
    public static **[] values();
    public static ** valueOf(java.lang.String);
    }
    
    # bugly
    -dontwarn com.tencent.bugly.**
    -keep public class com.tencent.bugly.**{*;}
    -keep class android.support.**{*;}
